ORBIT2-CONFIG(1)

NAME
orbit2-config - helper script for building with ORBit2

SYNOPSIS

orbit2-config [ --libs ] [ --cflags ] [ --prefix=dir ] [ --exec-prefix=dir ] [ --use-service=service ] [ client | server ]

orbit2-config [ --version ] [ --help ]

DESCRIPTION
orbit2-config is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use the orbit2 library. It is also used internally by the .m4 macros for GNU autoconf that are included with orbit2. The argument client is used for compiling an orbit2 client, and server for compiling an orbit2 server. In most cases, you will use one (or both) of the options --cflags or --libs (depending on whether you are compiling or linking.

OPTIONS
orbit2-config accepts the following options:

--version
    Print the currently installed version of library on the standard output.

--help
    Print a usage summary.

--cflags
    Print the compiler flags that are necessary to compile a program using the specified library.

--libs
    Print the linker flags that are necessary to link with the specified library.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that library was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that library was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

--use-service=SERVICE
    If specified, provide additional flags (if any) for using the specified service. Known values for SERVICE are: module CosNaming, interfaces LNameComponent, LName.

SEE ALSO
orbit-idl-2(1), /usr/share/doc/liborbit2-dev, http://orbit-resource.sourceforge.net, http://www.omg.org.

AUTHOR
Copyright © 2001, 2002 Dick Porter <dick@acm.org> and Elliot Lee <sopwith@redhat.com> This manual was originally written for orbit2-config by Chris Waters <xtifr@debian.org> for Debian GNU/Linux.